﻿using System.Collections.Generic;
using System.Linq;
using MVCBlog.Core.Entities;
using MVCBlog.Core.Repository;

namespace MVCBlog.Core.Service
{
    /// <summary>
    /// Access to <see cref="Tag">Tags</see>.
    /// </summary>
    public class TagService : GenericEntityService<Tag>, ITagService
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagService"/> class.
        /// </summary>
        /// <param name="unitOfWork">The <see cref="IUnitOfWork"/>.</param>
        public TagService(IUnitOfWork unitOfWork)
            : base(unitOfWork.Tags, unitOfWork)
        {
        }

        /// <summary>
        /// Returns an <see cref="IEnumerable{T}"/> from the <see cref="MVCBlog.Core.Repository.IRepository{T}"/>.
        /// </summary>
        /// <returns>
        /// The <see cref="IEnumerable{T}"/> of all elements.
        /// </returns>
        public override IEnumerable<Tag> GetAll()
        {
            return this.Repository.GetQuery()
                .OrderBy(t => t.Name);
        }
    }
}
