﻿using System.ComponentModel.DataAnnotations;
using Resources;

namespace MVCBlog.Website.Models.InputModels.Login
{
    /// <summary>
    /// Inputs in login form.
    /// </summary>
    public class LoginFormInput
    {
        /// <summary>
        /// Gets or sets the username.
        /// </summary>
        [Required(ErrorMessageResourceName = "Username", ErrorMessageResourceType = typeof(LoginController))]
        public string Username { get; set; }

        /// <summary>
        /// Gets or sets the password.
        /// </summary>
        [Required(ErrorMessageResourceName = "Password", ErrorMessageResourceType = typeof(LoginController))]
        [DataType(DataType.Password)]
        public string Password { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether [remember me].
        /// </summary>
        public bool RememberMe { get; set; }
    }
}